(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define('element/locale/en', ['module', 'exports'], factory);
  } else if (typeof exports !== "undefined") {
    factory(module, exports);
  } else {
    var mod = {
      exports: {}
    };
    factory(mod, mod.exports);
    global.ELEMENT.lang = global.ELEMENT.lang || {}; 
    global.ELEMENT.lang.en = mod.exports;
  }
})(this, function (module, exports) {
  'use strict';

  exports.__esModule = true;
  exports.default = {
    el: {
      colorpicker: {
        confirm: '确定',
        clear: '清除'
      },
      datepicker: {
        now: '现在',
        today: '今天',
        cancel: '取消',
        clear: '清除',
        confirm: '确定',
        selectDate: '选择数据',
        selectTime: '选择时间',
        startDate: '开始日期',
        startTime: '开始时间',
        endDate: '结束日期',
        endTime: '结束时间',
        prevYear: '上一年',
        nextYear: '下一年',
        prevMonth: '上个月',
        nextMonth: '下个月',
        year: '',
        month1: '一月',
        month2: '二月',
        month3: '三月',
        month4: '四月',
        month5: '五月',
        month6: '六月',
        month7: '七月',
        month8: '八月',
        month9: '九月',
        month10: '十月',
        month11: '十一月',
        month12: '十二月',
        // week: 'week',
        weeks: {
          sun: '周日',
          mon: '周一',
          tue: '周二',
          wed: '周三',
          thu: '周四',
          fri: '周五',
          sat: '周六'
        },
        months: {
          jan: '1月',
          feb: '2月',
          mar: '3月',
          apr: '4月',
          may: '5月',
          jun: '6月',
          jul: '7月',
          aug: '8月',
          sep: '9月',
          oct: '10月',
          nov: '11月',
          dec: '12月'
        }
      },
      select: {
        loading: '鉃加载中',
        noMatch: '无匹配数据',
        noData: '无数据',
        placeholder: '选择'
      },
      cascader: {
        noMatch: '无匹配数据',
        loading: '加载中',
        placeholder: '选择'
      },
      pagination: {
        goto: '转到',
        pagesize: '/页面',
        total: '总计 {total}',
        pageClassifier: ''
      },
      messagebox: {
        title: '信息',
        confirm: '确定',
        cancel: '取消',
        error: '输入错误'
      },
      upload: {
        deleteTip: '按Delete键删除',
        delete: '删除',
        preview: '预览',
        continue: '继续'
      },
      table: {
        emptyText: '无数据',
        confirmFilter: '确认',
        resetFilter: '重置',
        clearFilter: '全部',
        sumText: '总和'
      },
      tree: {
        emptyText: '无数据'
      },
      transfer: {
        noMatch: '无匹配数据',
        noData: '无数据',
        titles: ['List 1', 'List 2'], // to be translated
        filterPlaceholder: '输入关键字', // to be translated
        noCheckedFormat: '{total} 项目', // to be translated
        hasCheckedFormat: '{checked}/{total} 已检查' // to be translated
      }
    }
  };
  module.exports = exports['默认'];
});