ELEMENT.locale(ELEMENT.lang.en)
// list fill materiala
Vue.component('curic-material', {
  model: {
    prop: 'material',
    event: 'change'
  },
  props: {
    name:{
      type: String
    },
    materials: {
      type: Object,
    },
    material: {
      type:String,
      default: '1'
    },
    size:{
      type:String,
      default: 'mini'
    },
    disabled: {
      type: Boolean,
      default: false
    },
    placeholder:{
      type: String,
      default: 'Seclect a material'
    },
    clearable: Boolean
  },
  data: function() {
    return {
      // clearable: false,
      materialObject(value){
        m = this.materials[value]
        if (m === undefined){ m = {} };
        return m
      },
      // checkData(){
      //   console.log(material)
      //   console.log(materials)
      //   console.log(materials[material])
      //   console.log(materials[material].optional1.photo)

      //   return 'AAA'
      // }
    }
  },
  template: `
  <div class="material-list">
      <!-- thumbnail -->
      <div class="material-thumbnails" v-if="material">
      <template v-if="materialObject(material).is_multimat">
          <div class="thumbnail">
            <div class="thumbnail-border" title="Optional 1"> 
              <template v-if="materials[material].optional1">
                <img :src="materials[material].optional1.photo">
              </template>
              <template v-else><img class="thumbnail-none"></template>
            </div>
          </div>
          <div class="thumbnail">
            <div class="thumbnail-border" title="Optional 2"> 
              <template v-if="materials[material].optional2">
                <img :src="materials[material].optional2.photo">
              </template>
              <template v-else><img class="thumbnail-none"></template>
             </div>
          </div>
          <div class="thumbnail">
            <div class="thumbnail-border" title="Optional 3"> 
              <template v-if="materials[material].optional3">
                <img :src="materials[material].optional3.photo">
              </template>
              <template v-else><img class="thumbnail-none"></template>
            </div>
          </div>
        </template>
        <template v-else-if="materials[material]">
          <div class="thumbnail">
            <div class="thumbnail-border" title="Optionals"> <img :src="materialObject(material).photo"> </div>
          </div>
        </template>
      </div>

      <div :style="materialsStyle" class="material-select">
        <el-select
          :disabled="disabled"
          :size="size"
          filterable
          :placeholder="placeholder"
          no-data-text="No material"
          :clearable="clearable"
          v-bind:value="material"
          v-on:change="$emit('change', $event)">
  
          <!-- multiple group -->
          <el-option-group
            :key="'multimat'"
            label="Multis">
  
            <el-option
              v-for="(m, key) in materials" v-if="m.is_multimat"
              :key="m.value"
              :label="m.label"
              :value="m.value">
  
              <div class="thumbnail">
                <div class="thumbnail-border"> 
                  <template v-if="m.optional1">
                    <img :src="m.optional1.photo">
                  </template>
                  <template v-else><img class="thumbnail-none"></template>
                </div>
              </div>

              <div class="thumbnail">
                <div class="thumbnail-border"> 
                  <template v-if="m.optional2">
                    <img :src="m.optional2.photo">
                  </template>
                  <template v-else><img class="thumbnail-none"></template>
                </div>
              </div>

              <div class="thumbnail">
                <div class="thumbnail-border"> 
                  <template v-if="m.optional3">
                    <img :src="m.optional3.photo">
                  </template>
                  <template v-else><img class="thumbnail-none"></template>
                </div>
              </div>

              {{ m.label }}
            </el-option>
          </el-option-group>
  
          <!-- single group -->
          <el-option-group
            :key="'single'"
            label="In model">
            <el-option
              v-for="(m, key) in materials" v-if="!m.is_multimat"
              :key="key"
              :label="m.label"
              :value="key">
  
              <div class="thumbnail">
                <div class="thumbnail-border"> <img :src="m.photo"> </div>
              </div>
  
              {{ m.label }}
            </el-option>
          </el-option-group>
  
        </el-select>
      </div>
    </div>
  `,
  computed:{
    checkData(){
      console.log(this.material)
      console.log(this.materials)
      console.log(this.materials[this.material])
      console.log(this.materials[this.material].optional1.photo)
      console.log(this.materials[this.material].optional2.photo)
      console.log(this.materials[this.material].optional3.photo)

      return 'AAA'
    },
    // tinh width of materials select with thumnail
    materialsStyle(){
      thumnail = this.name == "Item material" ? 24 : 0

      if (this.materialObject(this.material).is_multimat){
        thumnails = 3*26 - 1
      }else if(this.materialObject(this.material).photo){
        thumnails = 26
      }else{
        thumnails = thumnail == 24 ? 0 : 4
      }

      style = {
        // position: 'absolute',
        // display: 'inline-block', 
        // margin: '0 5px',
        // width: 'calc(100% - ' + (thumnails + thumnail + 1) + 'px)'
        width: 'auto'
      }
      return style
    },
  }
})

var app = new Vue({
  el: '#app_item_define',
  data: function() {
    return {
      search: '',
      showAll: false,
      type: 'Layers',
      su_items: [],
      materials: {},
      linewidths:[
        {
          value: "None",
          label: "None"
        },
        {
          value: "0.05mm",
          label: "0.05mm"
        },
        {
          value: "0.09mm",
          label: "0.09mm"
        },
        {
          value: "0.1mm",
          label: "0.1mm"
        },
        {
          value: "0.13mm",
          label: "0.13mm"
        },
        {
          value: "0.18mm",
          label: "0.18mm"
        },
        {
          value: "0.2mm",
          label: "0.2mm"
        },
        {
          value: "0.25mm",
          label: "0.25mm"
        },
        {
          value: "0.3mm",
          label: "0.3mm"
        },
        {
          value: "0.35mm",
          label: "0.35mm"
        },
        {
          value: "0.4mm",
          label: "0.4mm"
        },
        {
          value: "0.5mm",
          label: "0.5mm"
        },
        {
          value: "0.7mm",
          label: "0.7mm"
        },
        {
          value: "0.8mm",
          label: "0.8mm"
        },
        {
          value: "0.9mm",
          label: "0.9mm"
        },
        {
          value: "1mm",
          label: "1mm"
        },
        {
          value: "2mm",
          label: "2mm"
        }
      ],
      sectionItems: [],
      filterItem(query, item) {
        return item.label.toLowerCase().indexOf(query.toLowerCase()) > -1;
      },
      windowHeight: 500,
      windowWidth: 900,
      itemType: 'Tags',
    }
  },
  methods:{
    items() {
      return this.su_items.filter(data => (
          (!this.search || data.label.toLowerCase().includes(this.search.toLowerCase())) && (this.showAll || data.material)
        )
      )
    },
    itemsChange(value){
      sketchup.layers_change(value)
    },
    clearItem(index, item){
      console.log(index, item);
      item.linewidth = 'None';
      item.material = null;
      item.merge_hatch = false;
      item.multimat = 0;
      item.zindex = 0;
      sketchup.apllyItem(item);
    },
    showClearItem(item){
      if (item.linewidth && item.linewidth != 'None') {
        return true;
      };
      if (item.material && item.material != '') {
        return true;
      };
      if (item.merge_hatch) {
        return true;
      };
      if (item.multimat && item.multimat != 0) {
        return true;
      };
      if (item.zindex && item.zindex != 0) {
        return true;
      };

      return false;
    },
    apply(){
      sketchup.apply(this.sectionItems)
    },
    refreshList(){
      sketchup.refresh_list()
    },
    sortChange(props){
      // console.log(props)
      prop = props.prop
      // console.log(prop)

      this.su_items.sort(function(a, b) {
        // console.log(a[prop], b[prop])
        
        a_value = a[prop]
        b_value = b[prop]

        if (prop == 'material') {
          if (!a_value) { a_value = 0; }
          else { a_value = 1}

          if (!b_value) { b_value = 0; }
          else { b_value = 1}
        } else if (prop == 'label') {
          a_value = a_value.toLocaleLowerCase()
          b_value = b_value.toLocaleLowerCase()
          return a_value.localeCompare(b_value);
        } else if (prop == 'linewidth') {
          if (a_value == 'None') a_value = 0;
          if (b_value == 'None') b_value = 0;
          a_value = parseFloat(a_value)
          b_value = parseFloat(b_value)
        }else {
          a_value = parseFloat(a_value)
          b_value = parseFloat(b_value)
        }

        console.log(a_value, b_value)

        if (a_value < b_value) {
          return -1;
        }
        if (a_value > b_value) {
          return 1;
        }
        // a must be equal to b
        return 0;
      })
    },
    sortLineWidth(a, b){
      console.log(a, b)

      // return b;
    }, 
    apllyItem(item){
      sketchup.apllyItem(item);
    }
  },
  computed:{
  },
  mounted: function() {
    this.windowHeight = window.innerHeight;
    this.windowWidth = window.outerWidth;

    sketchup.ready(window.outerWidth, window.outerHeight);

    this.$nextTick(() => {
      window.addEventListener("resize", () => {
        app.windowHeight = window.innerHeight;
        app.windowWidth = window.outerWidth;
      });
    });
  },
})

function updateItems(su_items) {
  app.su_items = su_items
}
function updateSectionItems(items) {
  app.sectionItems = items
}

function updateMaterials(materials) {
  app.materials = materials;
}